Get Transactions
/unified/accounting/transactions/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The type of the transaction
bankcredit_carddepositestimateglreceivereceive_overpaymentreceive_prepaymentrefundspendspend_overpaymentspend_prepaymenttransfer+ 1 more
3 supported3 required3 notes
glbankWhich collection the id belongs to. Required.
refunddepositestimatetransfercredit_cardThe type of the transaction
transferThe type of the transaction
Which collection the id belongs to. Required.
bank_transactiontransfer
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount). When the upstream body exceeds 1 MiB,datais replaced by{ truto_truncated: true, truto_max_bytes, truto_excerpt }.debugisnullfor static responses or whentruto_skip_api_call=true. An integrated account token that cannot read credentials (the kind the connect flow gives a browser) gets a403fordebug.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for transactions
13 supported
The account which receives the transaction
12 supported
The account which initiates the transaction
6 supported
The company the transaction belongs to
6 supported
The contact to whom the transaction relates to
10 supported
This represents the date when the transaction was created
11 supported
The currency of the transaction
11 supported
The exchange rate of the transaction
6 supported
4 supported
The ID of the account
The currency of the line item
The description of the line item
The exchange rate of the currency for the line item
The unique identifier for line item
The ID of the item
The name of the line item
The quantity of the line item
The ID of the tax rate
The total line amount of the line item.
Tracking categories of the line item
3 properties
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The type of the line item
The unit price of the line item
This represents memo / private note on the transaction.
8 supported
The number of the transaction
9 supported
Raw data returned from the remote API call.
The total amount of the transaction
13 supported
Tracking categories of the transaction
3 supported
The unique identifier for tracking categories
The name of the tracking category
The date upon which the transaction occurred
13 supported
The type of the transaction
refunddepositestimatetransfercredit_cardspendreceivereceive_overpaymentreceive_prepaymentspend_overpaymentspend_prepayment
11 supported
This represents the date when the transaction was updated
12 supported
truto unified accounting transactions '<resource_id>' \
-m get \
-a '<integrated_account_id>' \
-o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'accounting',
'transactions',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"accounting",
"transactions",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())curl -X GET 'https://api.truto.one/unified/accounting/transactions/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/accounting/transactions/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/transactions/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())